# GridFire: src/include/gridfire/engine/views/engine_multiscale.h File Reference

Loading...
Searching...
No Matches
engine_multiscale.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/engine/views/engine_view_abstract.h"`
`#include "gridfire/engine/engine_graph.h"`
`#include "unsupported/Eigen/NonLinearOptimization"`

Go to the source code of this file.

## Classes

struct | gridfire::QSECacheConfig
| Configuration struct for the QSE cache. More...
struct | gridfire::QSECacheKey
| Key struct for the QSE abundance cache. More...
struct | std::hash< gridfire::QSECacheKey >
class | gridfire::MultiscalePartitioningEngineView
| An engine view that partitions the reaction network into multiple groups based on timescales. More...
struct | gridfire::MultiscalePartitioningEngineView::QSEGroup
| Struct representing a QSE group. More...
struct | gridfire::MultiscalePartitioningEngineView::EigenFunctor
| Functor for solving QSE abundances using Eigen's nonlinear optimization. More...
struct | gridfire::MultiscalePartitioningEngineView::CacheStats
| Struct for tracking cache statistics. More...

## Namespaces

namespace | gridfire
namespace | std
| STL namespace.